# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'net/ssh/script/version'

Gem::Specification.new do |spec|
  spec.name          = "net-ssh-script"
  spec.version       = Net::SSH::Script::VERSION
  spec.authors       = ["Nuqz"]
  spec.email         = ["nuqz@indiesoft.ru"]

  spec.summary       = %q{Helps to run commands & scripts over Net::SSH session on remote machines.}
  spec.description   = %q{It can run a single command and whole script and log status/stdout/stderr of each command.}
  spec.homepage      = "https://github.com/indiesoft/net-ssh-script"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'net-ssh', '~> 4.0'

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "yard"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "rubocop"
end
